/// <reference types="node" />
/**
 * @ignore
 * @enum VIDEO_WRITE_STATUS
 */
export declare enum VIDEO_WRITE_STATUS {
    'NOT_STARTED' = 0,
    'IN_PROGRESS' = 1,
    'COMPLETED' = 2,
    'ERROR' = 3
}
/**
 * @ignore
 * @type PageScreen
 */
export declare type pageScreenFrame = {
    readonly blob: Buffer;
    readonly timestamp: number;
    readonly duration?: number;
};
/**
 * @type Videooptions
 */
export declare type VideoOptions = {
    readonly fps?: number;
    readonly ffmpeg_Path?: string | null;
    readonly videoFrame?: {
        width: number | null;
        height: number | null;
    };
    readonly aspectRatio?: '3:2' | '4:3' | '16:9';
    readonly recordDurationLimit?: number;
};
export declare type PuppeteerScreenRecorderOptions = VideoOptions & {
    readonly followNewTab: boolean;
};
export declare enum SupportedFileFormats {
    MP4 = "mp4",
    MOV = "mov",
    AVI = "avi",
    WEBM = "webm"
}
